Path

ez components / documentation / api reference / 2007.2alpha1 / webdav


eZ Components 2007.2alpha1

Webdav: ezcWebdavLockPluginTransport

[ Tutorial ] [ Class tree ] [ Element index ] [ ChangeLog ] [ Credits ]

Class: ezcWebdavLockPluginTransport

Transport layer extension class of the lock plugin. [source]
This class contains methods that extend the transport layer of the Webdav component, by providing methods that parse requests and process responses.

Method Summary

public ezcWebdavLockRequest parseLockRequest( $path, $body )
Parses the LOCK request and returns a request object.
public ezcWebdavUnlockRequest parseUnlockRequest( $path, $body )
Parses the UNLOCK request and returns a request object.

Methods

parseLockRequest

ezcWebdavLockRequest parseLockRequest( string $path, string $body )
Parses the LOCK request and returns a request object.
This method is responsible for parsing the LOCK request. It retrieves the current request URI in $path and the request body as $body. The return value, if no exception is thrown, is a valid ezcWebdavLockRequest object.
This method may be overwritten to adjust it to special client behaviour.

Parameters

Name Type Description
$path string  
$body string  

parseUnlockRequest

ezcWebdavUnlockRequest parseUnlockRequest( string $path, string $body )
Parses the UNLOCK request and returns a request object.
This method is responsible for parsing the UNLOCK request. It retrieves the current request URI in $path and the request body as $body. The return value, if no exception is thrown, is a valid ezcWebdavUnlockRequest object.
This method may be overwritten to adjust it to special client behaviour.

Parameters

Name Type Description
$path string  
$body string  

Last updated: Mon, 12 Nov 2007